## org.eclipse.emf.codegen.util
Class CodeGenUtil.EclipseUtil

    java.lang.Object
      org.eclipse.emf.codegen.util.CodeGenUtil.EclipseUtil

Enclosing class:
  CodeGenUtil

    public static class CodeGenUtil.EclipseUtil

extends java.lang.Object

Nested Class Summary
`static class` `CodeGenUtil.EclipseUtil.StreamProgressMonitor`

Field Summary
`static java.lang.String` `PLUGIN_ID_CLASSPATH_ATTRIBUTE_NAME` An `class path attribute name` that records the originating plugin ID for each classpath entry created by `addClasspathEntries(Collection, String)` and `addClasspathEntries(Collection, String, String)`.

Constructor Summary
`CodeGenUtil.EclipseUtil()`

Method Summary
`static void` `addClasspathEntries(java.util.Collection<org.eclipse.jdt.core.IClasspathEntry> classpathEntries, java.lang.String pluginID)`
`static void` `addClasspathEntries(java.util.Collection<org.eclipse.jdt.core.IClasspathEntry> classpathEntries, java.lang.String variableName, java.lang.String pluginID)`
`static Monitor` `createMonitor(IProgressMonitor monitor, int ticks)`
`static IContainer` `findOrCreateContainer(IPath path, boolean forceRefresh, IPath localLocation, IProgressMonitor progressMonitor)`
`static IContainer` `findOrCreateContainer(IPath path, boolean forceRefresh, IProjectDescription projectDescription, IProgressMonitor progressMonitor)`
`static java.util.List<java.lang.String>` `getClasspathPaths(java.lang.String pluginID)`
`static java.lang.String` `getJavaComplianceLevel(IProject project)`
`static boolean` `isInJavaOutput(IResource resource)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PLUGIN_ID_CLASSPATH_ATTRIBUTE_NAME

    public static final java.lang.String PLUGIN_ID_CLASSPATH_ATTRIBUTE_NAME

  An `class path attribute name` that records the originating plugin ID for each classpath entry created by `addClasspathEntries(Collection, String)` and `addClasspathEntries(Collection, String, String)`.

  Since:
    2.3
  See Also:
    Constant Field Values

Constructor Detail

### CodeGenUtil.EclipseUtil

    public CodeGenUtil.EclipseUtil()

Method Detail

### isInJavaOutput

    public static boolean isInJavaOutput(IResource resource)

### getClasspathPaths

    public static java.util.List<java.lang.String> getClasspathPaths(java.lang.String pluginID)
                                                              throws JETException

  Throws:
    `JETException`

### addClasspathEntries

    public static void addClasspathEntries(java.util.Collection<org.eclipse.jdt.core.IClasspathEntry> classpathEntries,
                                           java.lang.String variableName,
                                           java.lang.String pluginID)
                                    throws JETException

  Throws:
    `JETException`

### addClasspathEntries

    public static void addClasspathEntries(java.util.Collection<org.eclipse.jdt.core.IClasspathEntry> classpathEntries,
                                           java.lang.String pluginID)
                                    throws JETException

  Throws:
    `JETException`

### createMonitor

    public static Monitor createMonitor(IProgressMonitor monitor,
                                        int ticks)

### findOrCreateContainer

    public static IContainer findOrCreateContainer(IPath path,
                                                   boolean forceRefresh,
                                                   IPath localLocation,
                                                   IProgressMonitor progressMonitor)
                                            throws CoreException

  Throws:
    `CoreException`

### findOrCreateContainer

    public static IContainer findOrCreateContainer(IPath path,
                                                   boolean forceRefresh,
                                                   IProjectDescription projectDescription,
                                                   IProgressMonitor progressMonitor)
                                            throws CoreException

  Throws:
    `CoreException`

### getJavaComplianceLevel

    public static java.lang.String getJavaComplianceLevel(IProject project)

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.